Name:           python-netjsonconfig
Version:        1.1.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Netjsonconfig is a python library that converts NetJSON DeviceConfiguration objects into real router configurations that can be installed on systems like OpenWRT or OpenWisp Firmware.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://netjsonconfig.openwisp.org
Source:         %{pypi_source netjsonconfig}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'netjsonconfig' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-netjsonconfig
Summary:        %{summary}

%description -n python3-netjsonconfig %_description


%prep
%autosetup -p1 -n netjsonconfig-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-netjsonconfig -f %{pyproject_files}


%changelog
%autochangelog